cdac.medinfo.sdk.hl7282.baselibs

## Class ValueTables

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.ValueTables

-     public class ValueTables
      extends java.lang.Object

  This Class represents the HL7 Tables and User Defined Tables. The class is the SingleTon class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ValueTables` | `objValueTables` This is the object of the class ValueTable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUserDefinedTable(int iUserTableNo, ISingleCollection<java.lang.String> objValueCollection)` This method adds UserDefinedTable along with its value collection.
    `static ValueTables` | `createInstance()` The Static method used to create the object of class ValueTables only once i.e makes it singleton Class.
    `java.lang.String[]` | `getTableValues(int iTableNo)` The function returns the values of the table for the given table number.
    `int` | `isValuePresent(int iTableNo, java.lang.String strValue)` The method is used to find if the value is present in the table or not.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objValueTables

          public static ValueTables objValueTables

      This is the object of the class ValueTable.

  - ### Method Detail

    - #### createInstance

          public static ValueTables createInstance()

      The Static method used to create the object of class ValueTables only once i.e makes it singleton Class.
      Returns:
        objValueTables - object of class ValueTables

    - #### isValuePresent

          public int isValuePresent(int iTableNo,
                           java.lang.String strValue)

      The method is used to find if the value is present in the table or not.
      Parameters:
        `iTableNo` - -Table number
        `strValue` - - String value to be checked in the table.
      Returns:
        integer - HL7Constants.HL7_FUNCTION_SUCCESS if the value present. -HL7Constants.HL7_VALUE_NOT_FOUND if the Value not present. -HL7Constants.HL7_TABLE_NOT_FOUND if the Table not found

    - #### getTableValues

          public java.lang.String[] getTableValues(int iTableNo)

      The function returns the values of the table for the given table number.
      Parameters:
        `iTableNo` - -Table number
      Returns:
        String[] - Array of string which gives the values corresponding Table.

    - #### addUserDefinedTable

          public void addUserDefinedTable(int iUserTableNo,
                                 ISingleCollection<java.lang.String> objValueCollection)

      This method adds UserDefinedTable along with its value collection.
      Parameters:
        `iUserTableNo` - user defined table number
        `objValueCollection` - values inside table.